import type { RenovateConfig } from '../../../config/types';
import type { BranchCache } from '../../../util/cache/repository/types';
import type { BranchConfig, UpgradeFingerprintConfig } from '../../types';
export type WriteUpdateResult = 'done' | 'automerged';
export declare function generateBranchFingerprintConfig(branch: BranchConfig): UpgradeFingerprintConfig[];
export declare function canSkipBranchUpdateCheck(branchState: BranchCache, branchFingerprint: string): boolean;
export declare function syncBranchState(branchName: string, baseBranch: string): BranchCache;
export declare function writeUpdates(config: RenovateConfig, allBranches: BranchConfig[]): Promise<WriteUpdateResult>;
